# ComponentFilterTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentFilterTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentFilterTable

-     public class ComponentFilterTable
      extends java.lang.Object

  This class implements a table, in which properties can be filtered.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentFilterTable(org.eclipse.swt.widgets.Composite parent, Controller controller, java.util.List<java.lang.String> properties)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(java.lang.String entry, java.util.List<java.lang.String> properties)` Adds a new entry, i.e., a row in the table
    `void` | `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener.
    `void` | `clear()` Clears the table.
    `void` | `dispose()` Disposes this widget.
    `java.util.List<java.lang.String>` | `getEntries()` Returns the entries.
    `java.util.List<java.lang.String>` | `getProperties()` Returns the properties.
    `java.lang.String` | `getSelectedEntry()` Returns the currently selected entry.
    `java.lang.String` | `getSelectedProperty()` Returns the currently selected property.
    `boolean` | `isSelected(java.lang.String entry, java.lang.String property)` Returns whether the given property is selected for the given entry.
    `void` | `removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Removes a selection listener.
    `void` | `setEnabled(boolean enabled)` Enable/disable.
    `void` | `setLayoutData(java.lang.Object layoutData)` Sets layout data.
    `void` | `setProperties(java.util.List<java.lang.String> properties)` Sets new properties.
    `void` | `setSelected(java.lang.String entry, java.lang.String property, boolean selected)` Sets the given property selected for the given entry .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentFilterTable

          public ComponentFilterTable(org.eclipse.swt.widgets.Composite parent,
                              Controller controller,
                              java.util.List<java.lang.String> properties)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -
        `properties` -

  - ### Method Detail

    - #### addEntry

          public void addEntry(java.lang.String entry,
                      java.util.List<java.lang.String> properties)

      Adds a new entry, i.e., a row in the table
      Parameters:
        `entry` -
        `properties` -

    - #### addSelectionListener

          public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

      Adds a selection listener.
      Parameters:
        `listener` -

    - #### clear

          public void clear()

      Clears the table.

    - #### dispose

          public void dispose()

      Disposes this widget.

    - #### getEntries

          public java.util.List<java.lang.String> getEntries()

      Returns the entries.
      Returns:

    - #### getProperties

          public java.util.List<java.lang.String> getProperties()

      Returns the properties.
      Returns:

    - #### getSelectedEntry

          public java.lang.String getSelectedEntry()

      Returns the currently selected entry.
      Returns:

    - #### getSelectedProperty

          public java.lang.String getSelectedProperty()

      Returns the currently selected property.
      Returns:

    - #### isSelected

          public boolean isSelected(java.lang.String entry,
                           java.lang.String property)

      Returns whether the given property is selected for the given entry.
      Parameters:
        `entry` -
        `property` -
      Returns:

    - #### removeSelectionListener

          public void removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)

      Removes a selection listener.
      Parameters:
        `listener` -

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Enable/disable.
      Parameters:
        `enabled` -

    - #### setLayoutData

          public void setLayoutData(java.lang.Object layoutData)

      Sets layout data.
      Parameters:
        `layoutData` -

    - #### setProperties

          public void setProperties(java.util.List<java.lang.String> properties)

      Sets new properties. Clears the table
      Parameters:
        `properties` -

    - #### setSelected

          public void setSelected(java.lang.String entry,
                         java.lang.String property,
                         boolean selected)

      Sets the given property selected for the given entry .
      Parameters:
        `entry` -
        `property` -
        `selected` -